@charset "utf-8";

.main-layer-popup-wrap{position:fixed;top:0;left:0;z-index:1020;width:100%;height:100%;overflow:hidden;}

/*
.main-layer-popup-wrap{visibility:hidden;opacity:0;transition:opacity 0.2s;pointer-events:none;}
.main-layer-popup-wrap.is-visible{visibility:visible;opacity:1;pointer-events:auto;}
*/

/* popup logo */
.main-layer-popup-wrap .popup-header{position:absolute;top:0;left:0;z-index:10;padding:2rem;width:100%;border-bottom:1px solid var(--white100);}
.main-layer-popup-wrap .logo-box{margin:0 auto;padding:0 2rem;max-width:156rem;width:100%;}

/*popup*/
.main-layer-popup-wrap .popup-box{position:absolute;top:0;left:0;z-index:1000;width:100%;height:100vh;background:url(/_res/yonsei_rc/uc/img/main/bg-uc-main-popup.png) no-repeat center / cover;padding:0 2rem;overflow-x:hidden;box-sizing:border-box;}
.main-layer-popup-wrap .popup-box::-webkit-scrollbar{width:3px;height:100%;position:absolute;}
.main-layer-popup-wrap .popup-box::-webkit-scrollbar-track{background:var(--color40);border-radius:5rem;}
.main-layer-popup-wrap .popup-box::-webkit-scrollbar-thumb{background:var(--color26);border-radius:5rem;}
/*.main-layer-popup-wrap .popup-box:before{content:'';position:absolute;left:0;top:0;bottom:0;width:100%;background:var(--black60);}*/
.main-layer-popup-wrap .popup-box a:focus-visible,
.main-layer-popup-wrap .popup-box button:focus-visible{outline:3px solid var(--color143);}
.main-layer-popup-wrap .popup-inner{position:relative;margin:auto;padding:16.3rem 2rem 0;max-width:156rem;width:100%;box-sizing:border-box;}
.main-layer-popup-wrap .popup-head{margin:0 0 3rem;font-size:4.4rem;font-weight:var(--font-weight-bold);line-height:5.28rem;color:var(--white100);text-align:center;}
.main-layer-popup-wrap .popup-cont{height:56.8rem;margin:0 0 4rem;overflow-y:auto;}
.main-layer-popup-wrap .popup-cont::-webkit-scrollbar{position:absolute;width:3px;height:100%;}
.main-layer-popup-wrap .popup-cont::-webkit-scrollbar-track{background:var(--color40);border-radius:5rem;}
.main-layer-popup-wrap .popup-cont::-webkit-scrollbar-thumb{background:var(--color26);border-radius:5rem;}
.main-layer-popup-wrap .popup-cont .popup-list{display:grid;grid-template-columns:repeat(4, 1fr);gap:2rem;position:relative;height:auto;}
.main-popup-swiper > .popup-list li > div a{display:block;position:relative;padding:3.2rem;max-height:27.4rem;min-height:27.4rem;border-radius:8px;background:var(--white12);backdrop-filter:blur(1.3rem);-webkit-backdrop-filter:blur(1.3rem);box-sizing:border-box;transition:all 0.2s;}
.main-popup-swiper > .popup-list li > div a::before{content:'';position:absolute;top:0;left:0;right:0;bottom:0;padding:1px;border-radius:8px;background:linear-gradient(110deg, var(--white100), var(--white00) 25%, var(--white00) 75%, var(--white100));-webkit-mask:linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);-webkit-mask-composite:destination-out;mask-composite:exclude;pointer-events:none;z-index:-1;}
.main-popup-swiper > .popup-list li > div a:hover::before{border:1px solid var(--white100);background:none;}
.main-popup-swiper > .popup-list li > div a > .popup-cate{padding:0 0 1.6rem;text-align:left;}
.main-popup-swiper > .popup-list li > div a > .popup-cate span{display:inline-block;padding:8px 1.6rem;min-width:8.7rem;border:1px solid var(--white100);border-radius:4rem;color:var(--color145);font-size:1.6rem;font-weight:var(--font-weight-bold);letter-spacing:-0.02em;color:var(--white100);box-sizing:border-box;text-align:center;transition:all 0.2s;}
.main-popup-swiper > .popup-list li > div a:hover .popup-cate span{background:var(--white100);color:var(--color26);}
.main-popup-swiper > .popup-list li > div a > .popup-title{margin:0 0 2rem;font-size:2.6rem;font-weight:var(--font-weight-bold);line-height:3.38rem;text-align:left;color:var(--white100);text-overflow:ellipsis;white-space:nowrap;overflow:hidden;}
.popup-cont .popup-list > li > div a > .popup-con-desc{display:-webkit-box;margin:0 0 3.3rem;color:var(--white100);font-size:2.4rem;font-weight:var(--font-weight-bold);line-height:3.36rem;text-align:left;text-overflow:ellipsis;overflow:hidden;-webkit-box-orient:vertical;-webkit-line-clamp:3;letter-spacing:-0.02em;}
.main-popup-swiper > .popup-list li > div a > .popup-date{display:inline-block;font-size:1.5rem;line-height:2.1rem;letter-spacing:-0.02em;text-align:left;overflow:hidden;color:var(--white100);}

.popup-cont .control-wrap{display:none;}
.popup-bot .popup-close-wrap{padding:0 0 11.5rem;width:100%;text-align:left;box-sizing:border-box;}
.popup-bot .popup-close-wrap ul{display:flex;justify-content:space-between;align-items:center;width:100%;}
.popup-bot .popup-close-wrap .one-day-close{font-weight:var(--font-weight-bold);font-size:2rem;line-height:2.8rem;letter-spacing:-0.02em;color:var(--white100);}
.popup-bot .popup-close-wrap .close{display:inline-block;position:relative;padding:1.2rem 1.6rem 1.2rem 2.4rem;min-width:12rem;border:1px solid #fff;border-radius:4rem;font-size:2rem;line-height:2.87rem;color:var(--white100);box-sizing:border-box;transition:all 0.2s;}
.popup-bot .popup-close-wrap .close:hover{border:1px solid var(--color26);background:var(--color26);}
.popup-bot .popup-close-wrap .close::after{content:'';position:absolute;top:50%;right:1.6rem;width:2.4rem;height:2.4rem;background:url(/_res/yonsei_rc/uc/img/main/ico-main-layer-popup-close@2x.png) no-repeat center center / 100%;transform:translateY(-50%);}


@media (max-width:1024px){
	/* popup logo */
	.main-layer-popup-wrap .popup-header{padding:1.2rem 2rem;}
	.main-layer-popup-wrap .logo-box a{display:block;max-width:8.4rem;}
	.main-layer-popup-wrap .logo-box a img{max-width:100%;}

	/* popup */	
	.main-layer-popup-wrap .popup-box{padding:6.5rem 2rem 0;}
	.main-layer-popup-wrap .popup-cont{margin:0 0 14rem;overflow:unset;}
	.main-layer-popup-wrap .popup-inner{padding:0;}

	.main-layer-popup-wrap .popup-head{margin:2rem 0 3rem;font-size:2.8rem;line-height:4.2rem;text-align:left;}
	.main-popup-swiper > .popup-list li > div a > .popup-cate{padding:0 0 1rem;}
	.main-popup-swiper > .popup-list li > div a > .popup-title{margin:0 0 1rem;}
	.main-layer-popup-wrap .popup-cont .popup-list{display:flex;gap:0;}

	.main-popup-swiper{overflow:visible;}
	.main-popup-swiper .popup-list > li > div a > .popup-con-desc{height:7.5rem;font-size:1.8rem;line-height:2.58rem;}

	.popup-cont .control-wrap{display:flex;position:absolute;width:11.5rem;justify-content:space-between;bottom:-7rem;left:50%;transform:translateX(-50%);}
	.popup-cont .control-wrap button{width:5rem;height:5rem;border-radius:50%;border:1px solid var(--white100);background-size:100%;background-position:center center;background-repeat:no-repeat;transition:all 0.3s ease;background:transparent;cursor:pointer;padding:0;z-index:100;}
	.popup-cont .control-wrap .main-popup-prev{background:url(../img/main/ico-popup-prev.png) no-repeat center / cover;}
	.popup-cont .control-wrap .main-popup-next{background:url(../img/main/ico-popup-next.png) no-repeat center / cover;right:0;}

	.popup-bot .popup-close-wrap{padding:0 0 5.75rem;}
	.popup-bot .popup-close-wrap ul{flex-wrap:wrap;justify-content:center;gap:2rem;text-align:center;}
	.popup-bot .popup-close-wrap ul > li{width:100%;}
	.popup-bot .popup-close-wrap .one-day-close{font-size:1.6rem;line-height:2.24rem;}
	.popup-bot .popup-close-wrap .close{padding:8px 1.4rem 8px 2rem;min-width:10rem;font-size:1.6rem;line-height:2.2rem;text-align:left;}
	.popup-bot .popup-close-wrap .close::after{width:2rem;height:2rem;}
}

@media screen and (max-width:480px){
	.main-layer-popup-wrap .popup-cont{margin:0;height:38.5rem;}
}